# Share docs between packages for multiple python versions
#%global _docdir_fmt %{name}

# Single python3 version in Fedora, python3_pkgversion macro not available
%{!?python3_pkgversion:%global python3_pkgversion 3}

Name:		nfqueue-bindings
Version:	0.6
Release:	1%{?dist}
Summary:	Perl and Python interface to libnetfilter_queue

License:	GPLv3
URL:		https://github.com/chifflier/nfqueue-bindings
Source0:	%{name}-%{version}.tar.gz
Patch0:		nfqueue-bindings-0.6-python3.patch
Patch1:		nfqueue-bindings-0.6-nowarnings.patch
Patch2:		nfqueue-bindings-0.6-duplicatetargets.patch
Patch3:		nfqueue-bindings-0.6-prefix.patch
Patch4:		nfqueue-bindings-0.6-perl64bit.patch
Patch5:		nfqueue-bindings-0.6-pythonlibdir.patch

BuildRequires:	coreutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	libnetfilter_queue-devel
# Da mettere nel pacchetto perl
BuildRequires:	perl-devel
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
nfqueue-bindings was written to provide an interface in high-level languages such as Perl or Python to libnetfilter_queue.
The goal is to provide a library to gain access to packets queued by the kernel packet filter.


%package perl
Summary:	Perl interface to libnetfilter_queue
Requires:	libnetfilter_queue


%package python
Summary:	Python interface to libnetfilter_queue
Requires:	libnetfilter_queue


%description perl
nfqueue-bindings was written to provide an interface in high-level languages such as Perl or Python to libnetfilter_queue.
The goal is to provide a library to gain access to packets queued by the kernel packet filter.

This is the Perl part of the package.


%description python
nfqueue-bindings was written to provide an interface in high-level languages such as Perl or Python to libnetfilter_queue.
The goal is to provide a library to gain access to packets queued by the kernel packet filter.

This is the Python part of the package.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
mkdir -p {perl,python}/examples
cp -p examples/*.pl perl/examples
cp -p examples/*.py python/examples


%build
make %{?_smp_mflags}


%install
%make_install


%clean
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}


%files perl
%doc README.md AUTHORS ChangeLog perl/examples
%{perl_vendorarch}/nfqueue*


%files python
%doc README.md AUTHORS ChangeLog python/examples
%{python3_sitearch}/nfqueue.py
%{python3_sitearch}/_nfqueue.so
%{python3_sitearch}/__pycache__/*.py*
#/usr/lib64/python3.6/site-packages/__pycache__/nfqueue.cpython-36.pyc


%changelog
* Thu Oct 06 2022 Luigi Iotti  <luigi@iotti.biz> - 1.0.0
- Initial release
